package com.qmth.distributed.print.business.bean.result.analyze;

import com.qmth.distributed.print.business.bean.params.analyze.GradeModuleKnowledgeDefineParam;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 分析试卷定义结果
 * @Author: CaoZixuan
 * @Date: 2022-05-31
 */
public class GradePaperDefineResult {
    // 试卷信息
    @ApiModelProperty(value = "卷面总分")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "试卷及格分")
    private BigDecimal passScore;

    // 二级维度定义
    @ApiModelProperty(value = "知识维度解释")
    private String knowledgeInterpret;

    @ApiModelProperty(value = "能力维度解释")
    private String abilityInterpret;

    @ApiModelProperty(value = "二级维度精熟度定义")
    private List<GradeModuleKnowledgeDefineParam> gradeModuleKnowledgeDefineParamList;

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public BigDecimal getPassScore() {
        return passScore;
    }

    public void setPassScore(BigDecimal passScore) {
        this.passScore = passScore;
    }

    public String getKnowledgeInterpret() {
        return knowledgeInterpret;
    }

    public void setKnowledgeInterpret(String knowledgeInterpret) {
        this.knowledgeInterpret = knowledgeInterpret;
    }

    public String getAbilityInterpret() {
        return abilityInterpret;
    }

    public void setAbilityInterpret(String abilityInterpret) {
        this.abilityInterpret = abilityInterpret;
    }

    public List<GradeModuleKnowledgeDefineParam> getGradeModuleKnowledgeDefineParamList() {
        return gradeModuleKnowledgeDefineParamList;
    }

    public void setGradeModuleKnowledgeDefineParamList(List<GradeModuleKnowledgeDefineParam> gradeModuleKnowledgeDefineParamList) {
        this.gradeModuleKnowledgeDefineParamList = gradeModuleKnowledgeDefineParamList;
    }
}
